package jdbc;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.atomikos.util.ClassLoadingHelper;

public class Main {
	static {
		System.setProperty("com.atomikos.icatch.file", ClassLoadingHelper
				.loadResourceFromClasspath(Main.class, "jdbc/jta.properties")
				.getPath());
	}

	public static void main(String[] args) throws Exception {

		ApplicationContext factory = new ClassPathXmlApplicationContext(
				"jdbc/config.xml");
		Bank bank = (Bank) factory.getBean("bank");

		bank.checkTables();
		long balance = bank.getBalance(10);
		System.out.println("Balance of account 10 is: " + balance);
		System.out.println("Withdrawing 100 of account 10...");
		bank.withdraw(10, 100);
		balance = bank.getBalance(10);
		System.out.println("New balance of account 10 is: " + balance);

		System.exit(0);

	}
}
