package jms;

import jdbc.Bank;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.atomikos.jms.extra.MessageDrivenContainer;
import com.atomikos.util.ClassLoadingHelper;

public class StartBank {

	static {
		System.setProperty(
				"com.atomikos.icatch.file",
				ClassLoadingHelper.loadResourceFromClasspath(StartBank.class,
						"jms/jta.properties").getPath());
	}

	public static void main(String[] args) throws Exception {

		// InputStream is = new FileInputStream("config.xml");
		ApplicationContext factory = new ClassPathXmlApplicationContext(
				"jms/config.xml");
		Bank bank = (Bank) factory.getBean("bank");
		// initialize the bank if needed
		bank.checkTables();

		// retrieve the pool; this will also start the pool as specified in
		// config.xml
		// by the init-method attribute!
		MessageDrivenContainer pool = (MessageDrivenContainer) factory
				.getBean("messageDrivenContainer");

		// Alternatively, start pool here (if not done in XML)
		// pool.start();

		System.out.println("Bank is listening for messages...");

	}
}
