package jms.util;
import java.io.File;

import org.apache.activemq.broker.BrokerService;

public class StartBroker
{
	public static void main ( String[] args ) 
	throws Exception
	{
		String port =BrokerService.DEFAULT_PORT;
		if ( args.length > 1 ) {
			port=args[0];
		}
		//create temp lock file on URL
		String fileName = "../" + port + ".lck";
		File lockFile = new File ( fileName );
		if ( lockFile.createNewFile() ) {
			System.out.println ( "Starting broker on " + port );
			lockFile.deleteOnExit();
			BrokerService broker = new BrokerService();
			// configure the broker
			broker.addConnector("tcp://localhost:" + port);
			broker.start();
		}	
		else {
			System.out.println ( "Broker already running." );
		}
	
	}
}
